---
title: "Les Graphiques"
weight: 1
output:
  blogdown::html_page:
    toc: false
    fig_width: 6
    dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<script src="https://polyfill.io/v3/polyfill.min.js?features=es6"></script>
<script id="MathJax-script" async src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js"></script>
<div id="le-package-ggformula" class="section level2">
<h2>Le package ggformula</h2>
<p>Il existe plusieurs façons de faire des graphiques en R qui font partie du noyau depuis les
premiers temps. L’alternative la plus pratiquée de nos jours est le package ggplot2
particulièrement puissant mais avec une syntaxe spécifique.
Nous lui préférerons ici le package ggformula qui est une sur-couche de ggplot2 avec une syntaxe simple pour des tâches simples et qui conserve la possibilité d’invoquer toute la puissance de ggplot2.</p>
<div id="pipe-et-tilde" class="section level3">
<h3>“pipe” et “tilde”</h3>
<p>La syntaxe de base ggformula repose sur des formules utilisant le ‘tilde’ (altGr-2) qui ont la forme :
<code>y ~ x</code> pour des graphiques avec des abscisses (x) et des ordonnées (y),
<code>~ y</code> quand il n’y a qu’une seule variable.</p>
<p>Le pipe est complètement intégré à ggformula et superposer deux graphiques se fait par simple enchaînement.</p>
<pre class="r"><code>library(ggformula)
mtcars |&gt; 
  gf_dhistogram(~ wt) |&gt; 
  gf_dens(~ wt)</code></pre>
<p><img src="/chapter5/pages/5.1_files/figure-html/unnamed-chunk-1-1.svg" width="576" /></p>
</div>
</div>
